微学网

热门关键词:   as  thinkphp  ecshop  xxx  商务通  www.ymwears.cn
热门: ASP.NET PHP编程 ASP编程 JSP编程 Python

ubuntu20.04 安装指定mysql5.7.29

发布时间:2021-05-27 来源:未知 点击:

安装准备:

  • 安装MySQL5.7时需要到MySQL官网下载对应的deb包 :https://repo.mysql.com/apt/ubuntu/pool/mysql-5.7/m/mysql-community/
  • MySQL需要使用的包:(***代表版本号)
    1.mysql-common_***
    2.mysql-community-client_***
    3.mysql-client_***
    4.mysql-community-server_***

其中MySQL5.7.29 需要以下包:

  • mysql-common_5.7.29-1ubuntu18.04_amd64.deb
  • mysql-community-client_5.7.29-1ubuntu18.04_amd64.deb
  • mysql-client_5.7.29-1ubuntu18.04_amd64.deb
  • mysql-community-server_5.7.29-1ubuntu18.04_amd64.deb

备注:

  • 在安装过程中会遇到缺少包的情况(本次使用的是Ubuntu20.04,缺少两个包,分别是 libaio1、libmecab2):阿里巴巴开源镜像 进行下载,按照仓库名发行版架构进行筛选,下载(基本信息筛选后,下哪个都差不多)后上传至服务器,并进行安装。
    libmecab2_0.996-1.1_amd64.deb
  • 本次安装MySQL只需要4个包,其他版本不敢保证,粗暴的检测方法:安装mysql-community-server_***,提示缺少哪个包,就去官网下载官网下载去下载哪个包,记住一定要是相同版本的。
开始操作

在安装包所在的目录下执行(安装顺序不可更改)

1、安装mysql-common_5.7.29-1ubuntu18.04_amd64.deb

  sudo dpkg -i mysql-common_5.7.29-1ubuntu18.04_amd64.deb

2、安装mysql-community-client_5.7.29-1ubuntu18.04_amd64.deb

  sudo dpkg -i mysql-community-client_5.7.29-1ubuntu18.04_amd64.deb

  会提示缺少依赖包libaio1:

  执行安装命令:sudo apt install libaio1  

  然后在执行


这就是微学网-程序员之家为你提供的"ubuntu20.04 安装指定mysql5.7.29"希望对你有所帮助.本文来自网络,转载请注明出处:http://www.weixuecn.cn/article/14547.html
网络编程 | 前端制作 | 数据库 | CMS教程 | 脚本编程 | 框架 | 服务器 | 微信开发 | APP开发 | 学习教程 |

凡本网站转载的文章、图片等资料的版权归版权所有人所有,因无法和版权所有者一一联系,如果本网站选取的文/图威胁到您的权益,请您及时和本网站联系。 我们会在第一时间内采取措施,避免给双方造 成不必要的损失。
© 2015-2021 微学网 版权所有,并保留所有权利。 备案号:粤ICP备09051474号-1

菜鸟学习网,提供各类程序编程入门,技巧